# eric7.Plugins.VcsPlugins.vcsMercurial.HisteditExtension.ProjectHelper

Module implementing the histedit extension project helper.

### Global Attributes

None

### Classes

HisteditProjectHelper | Class implementing the histedit extension project helper.

### Functions

None

## HisteditProjectHelper

Class implementing the histedit extension project helper.

### Derived from

HgExtensionProjectHelper

### Class Attributes

None

### Class Methods

None

### Methods

HisteditProjectHelper | Constructor
__hgHisteditAbort | Private slot used to abort an interrupted history editing session.
__hgHisteditContinue | Private slot used to continue an interrupted history editing session.
__hgHisteditEditPlan | Private slot used to edit the remaining actions list of an interrupted history editing session.
__hgHisteditStart | Private slot used to start a history editing session.
initActions | Public method to generate the action objects.
initMenu | Public method to generate the extension menu.
menuTitle | Public method to get the menu title.

### Static Methods

None

#### HisteditProjectHelper (Constructor)

HisteditProjectHelper()

Constructor

#### HisteditProjectHelper.__hgHisteditAbort

__hgHisteditAbort()

Private slot used to abort an interrupted history editing session.

#### HisteditProjectHelper.__hgHisteditContinue

__hgHisteditContinue()

Private slot used to continue an interrupted history editing session.

#### HisteditProjectHelper.__hgHisteditEditPlan

__hgHisteditEditPlan()

Private slot used to edit the remaining actions list of an interrupted history editing session.

#### HisteditProjectHelper.__hgHisteditStart

__hgHisteditStart()

Private slot used to start a history editing session.

#### HisteditProjectHelper.initActions

initActions()

Public method to generate the action objects.

#### HisteditProjectHelper.initMenu

initMenu(mainMenu)

Public method to generate the extension menu.

mainMenu (QMenu)
  reference to the main menu

Return:
  populated menu (QMenu)

#### HisteditProjectHelper.menuTitle

menuTitle()

Public method to get the menu title.

Return:
  title of the menu

Return Type:
  str

Up